View Single Post
Old 2020-10-05, 16:25   #3
EdH
 
EdH's Avatar
 
"Ed Hall"
Dec 2009
Adirondack Mtns

22×3×307 Posts
Default

I have posted elsewhere that openmpi would not work (at least for me) with Ubuntu 18.04 LTS. I was never able to get it running with either the repository version or the versions directly from open-mpi.org. Subsequently, I was not able to use Ubuntu 18.04 machines in my ecmpi cluster.

I am happy to report that I have been successful in getting the latest (4.0.5) version of openmpi working on machines that have been upgraded to Ubuntu 20.04 LTS. I still could not get the repository version to work for me and the 20.04 machines will not work with the 16.04 currently running cluster. However, since the 20.04 machines are working among themselves, it at least seems that I will be able to upgrade all the others and still have a working ecmpi cluster for my projects when the upgrades are all complete.

I will eventually edit my "How I Install and Run ecmpi. . ." page to reflect the changes.
EdH is offline   Reply With Quote